#include "entity_elemental_goodie_display.h"

void
entity_elemental_goodie_display_init(ECS* ecs, u32 id, u32 elementalID)
{
	ComponentStatDisplay* statDisplay;

	statDisplay = ecs_component_add(ecs, ECS_COMPONENT_STAT_DISPLAY, id);

	component_stat_display_init
	(
		statDisplay,
		ecs,
		(f32*)ELEMENTAL_GOODIE_DISPLAY_OFFSET,
		ECS_COMPONENT_GOODIES,
		elementalID,
		ICON_GOODIES
	);
}
